summaryrefslogtreecommitdiffstats
path: root/tests/alpha/Makefile
diff options
context:
space:
mode:
Diffstat (limited to 'tests/alpha/Makefile')
-rw-r--r--tests/alpha/Makefile7
1 files changed, 5 insertions, 2 deletions
diff --git a/tests/alpha/Makefile b/tests/alpha/Makefile
index 9c321af..e4e23d2 100644
--- a/tests/alpha/Makefile
+++ b/tests/alpha/Makefile
@@ -5,7 +5,7 @@ AS=$(CROSS)as
SIM=../../alpha-linux-user/qemu-alpha
CFLAGS=-O
-LINK=$(CC) -v -o $@ crt.o $< -nostdlib
+LINK=$(CC) -o $@ crt.o $< -nostdlib
TESTS=test-cond test-cmov
@@ -23,7 +23,10 @@ test-cmov.o: test-cond.c
test-cmov: test-cmov.o crt.o
$(LINK)
+check: $(TESTS)
+ for f in $(TESTS); do $(SIM) $$f || exit 1; done
+
clean:
$(RM) *.o *~ hello-alpha $(TESTS)
-.PHONY: clean all
+.PHONY: clean all check
OpenPOWER on IntegriCloud